import 'dart:convert';

import 'package:SEFER/constant/style.dart';
import 'package:SEFER/views/widgets/elevated_btn.dart';
import 'package:get/get.dart';
import 'package:SEFER/constant/box_name.dart';
import 'package:SEFER/constant/links.dart';
import 'package:SEFER/controller/functions/crud.dart';
import 'package:SEFER/main.dart';

class PassengerWalletHistoryController extends GetxController {
  bool isLoading = false;
  List archive = [];

  getArchivePayment() async {
    isLoading = true;
    update();
    var res = await CRUD().get(
        link: AppLink.getPassengerWalletArchive,
        payload: {'passenger_id': box.read(BoxName.passengerID)});
    if (res != 'failure') {
      archive = jsonDecode(res)['message'];
      print(archive);
      isLoading = false;
      update();
    } else {
      Get.defaultDialog(
          barrierDismissible: false,
          title: 'No wallet record found'.tr,
          titleStyle: AppStyle.title,
          middleText: '',
          confirm: MyElevatedButton(
              title: 'OK'.tr,
              onPressed: () {
                Get.back();
                Get.back();
              }));
    }
  }

  @override
  void onInit() {
    getArchivePayment();
    super.onInit();
  }
}
